Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data } = await migma.emails.edit('EMAIL_ID', {
prompt: 'Make this welcome email shorter and more transactional'
});
console.log(data.html);curl --request POST \
--url https://api.migma.ai/v1/emails/{emailId}/edit \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.migma.ai/v1/emails/{emailId}/edit"
payload = {
"prompt": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"success": true,
"data": {
"id": "<string>",
"emailId": "<string>",
"conversationId": "<string>",
"messageId": "<string>",
"slotIdx": 123,
"slotUuid": "<string>",
"status": "<string>",
"subject": "<string>",
"preheader": "<string>",
"html": "<string>",
"thumbnailUrl": "<string>",
"warnings": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"screenshotUrl": "<string>"
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Edit Email With Prompt
Prompt Migma to edit one generated email. The same emailId remains valid; the response returns updated HTML and screenshot URLs. Requires API key with email:write permission.
POST
/
v1
/
emails
/
{emailId}
/
edit
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data } = await migma.emails.edit('EMAIL_ID', {
prompt: 'Make this welcome email shorter and more transactional'
});
console.log(data.html);Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Email ID returned in generation status result.emails[].emailId.
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Was this page helpful?
⌘I